module NsSettingsUi
  module ApplicationHelper
    def url_for(options)
      super(options)
    rescue ActionController::RoutingError, ActionController::UrlGenerationError
      main_app.url_for(options)
    end

    def method_missing(method, *args, &block)
      if main_app.respond_to?(method)
        main_app.send(method, *args)
      else
        super
      end
    end
  end
end
