class CreateNsSettingsUiSettings < ActiveRecord::Migration[4.2]
  def up
    create_table :ns_settings_ui_settings do |t|
      t.string :key, null: false
      t.string :value
      t.string :default_value
      t.timestamps
    end
    add_index :ns_settings_ui_settings, :key
  end

  def down
    drop_table :ns_settings_ui_settings
  end
end
